﻿<UserControl x:Class="RegistroElettronicoMVVM.View.Controls.ControlMenuListItem"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:viewmodel="clr-namespace:RegistroElettronicoMVVM.ViewModel"
             xmlns:local="clr-namespace:RegistroElettronicoMVVM.View.Controls"
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             Background="{DynamicResource MaterialDesignPaper}"
             FontFamily="{DynamicResource MaterialDesignFont}"
             mc:Ignorable="d" 
             Height="48" d:DesignWidth="300">

    <UserControl.Resources>
        <Style x:Key="ContentStyle" TargetType="{x:Type ContentControl}">
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type ContentControl}">
                        <Border x:Name="background">
                            <Grid x:Name="container" Background="Transparent">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="Auto"/>
                                    <ColumnDefinition Width="Auto"/>
                                    <ColumnDefinition />
                                </Grid.ColumnDefinitions>

                                <Border x:Name="bar" Grid.Column="0" Background="{StaticResource PrimaryHueMidBrush}" Width="5">
                                    <Border.Style>
                                        <Style TargetType="Border">
                                            <Style.Triggers>
                                                <DataTrigger Binding="{Binding IsSelected}" Value="True">
                                                    <Setter Property="Visibility" Value="Visible"/>
                                                </DataTrigger>
                                                <DataTrigger Binding="{Binding IsSelected}" Value="False">
                                                    <Setter Property="Visibility" Value="Hidden"/>
                                                </DataTrigger>
                                            </Style.Triggers>
                                        </Style>
                                    </Border.Style>
                                </Border>

                                <Border Grid.Column="1" Padding="11,0,16,0">
                                    <materialDesign:PackIcon Kind="{Binding Icon}" x:Name="icon" Width="24" Height="24" VerticalAlignment="Center" HorizontalAlignment="Center" Foreground="{StaticResource PrimaryHueMidBrush}"/>
                                </Border>

                                <Border Grid.Column="2">
                                    <Label x:Name="text" Content="{Binding Text}" VerticalAlignment="Center" HorizontalAlignment="Left" FontSize="14" Margin="8" Padding="8" />
                                </Border>

                            </Grid>
                        </Border>

                        <ControlTemplate.Triggers>
                            <DataTrigger Binding="{Binding IsSelected}" Value="True">
                                <Setter Property="Background" TargetName="background" Value="{DynamicResource MaterialDesignTextFieldBoxBackground}"/>
                                <Setter Property="Background" TargetName="bar" Value="{StaticResource PrimaryHueMidBrush}"/>
                                <Setter Property="Foreground" TargetName="icon" Value="{StaticResource PrimaryHueMidBrush}"/>
                                <Setter Property="Foreground" TargetName="text" Value="{StaticResource PrimaryHueMidBrush}"/>
                            </DataTrigger>
                            
                            <Trigger Property="IsMouseOver" Value="True">
                                <Setter Property="Background" TargetName="container" Value="{DynamicResource MaterialDesignTextFieldBoxBackground}"/>
                            </Trigger>
                            <Trigger Property="IsMouseOver" Value="False">
                                <Setter Property="Background" TargetName="container" Value="Transparent"/>
                            </Trigger>

                            
                            <DataTrigger Binding="{Binding IsSelected}" Value="False">
                                <Setter Property="Background" TargetName="background" Value="Transparent"/>
                                <Setter Property="Background" TargetName="bar" Value="Transparent"/>
                                <Setter Property="Foreground" TargetName="icon" Value="{DynamicResource MaterialDesignBodyLight}"/>
                                <Setter Property="Foreground" TargetName="text" Value="{DynamicResource MaterialDesignBody}"/>
                            </DataTrigger>
                        </ControlTemplate.Triggers>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>
    </UserControl.Resources>
    
    <ContentControl Style="{StaticResource ContentStyle}"/>

</UserControl>
